Topic
  • 1 reply
  • Latest Post - ‏2013-10-30T09:50:13Z by Roger_K
Roger_K
Roger_K
41 Posts

Pinned topic DB2 pureScale environment on a 10GE network (Linux) RedHat 6.4

‏2013-10-25T14:00:30Z |

Hi.. trying to install DB2 pureScale 10.5.0.1 on Redhat but it fails with :

Requirement not matched for DB2 database "Server" with pureScale feature. Version: "10.5.0.1".
Summary of prerequisites that are not met on the current system:
DBT3564E  The db2prereqcheck utility was unable to find the package "openibd" on host "xxxxxxxx".

Note I have run yum groupinstall of "InfiniBand Support" and verified that I have the necessary packages according to the docs.

yum groupinfo "InfiniBand Support"

Group: Infiniband Support
 Description: Software designed for supporting clustering and grid connectivity using RDMA-based InfiniBand and iWARP fabrics.
 Mandatory Packages:
   libibcm
   libibverbs
   libibverbs-utils
   librdmacm
   librdmacm-utils
   rdma
 Default Packages:
   dapl
   ibacm
   ibsim
   ibutils
   libcxgb3
   libibmad
   libibumad
   libipathverbs
   libmlx4
   libmthca
   libnes
   rds-tools
 Optional Packages:
   compat-dapl
   infiniband-diags
   libibcommon
   mstflint
   opensm
   perftest
   qperf
   srptools


yum groupinfo "High Performance Networking" shows this :

Group: High Performance Networking
 Description: High Performance Networking packages.
 Default Packages:
   libibverbs-rocee
   libibverbs-rocee-devel
   libibverbs-rocee-utils
   libmlx4-rocee
 Optional Packages:
   libibverbs-rocee-devel-static
   libmlx4-rocee-static

any ideas ?

 

 

  • Roger_K
    Roger_K
    41 Posts

    Re: DB2 pureScale environment on a 10GE network (Linux) RedHat 6.4

    ‏2013-10-30T09:50:13Z  

    The problem occures because that the installation looks for the current Redhat version in /etc/issue and this is modified in our envm. 

    Quite common i guess to change this file (/etc/issue).. I wonder why the installation doesn't look in /etc/redhat-release instead ?